package shop.itbug.flutter_socket

import android.app.Activity
import android.content.Context
import android.content.Intent
import android.location.LocationManager
import android.provider.Settings
import android.widget.Toast


class Util {


    // 是否打开了GPS设置和网络设置
    fun isOpenGPSSetting(context: Context): Boolean {
        val locationManager = context.getSystemService(Context.LOCATION_SERVICE) as LocationManager;
        val network = locationManager.isProviderEnabled(LocationManager.NETWORK_PROVIDER);
        return isOpenGPS(context) || network
    }

    // 是否打开了GPS设置
    private fun isOpenGPS(context: Context): Boolean {
        val locationManager = context.getSystemService(Context.LOCATION_SERVICE) as LocationManager;
        val gps = locationManager.isProviderEnabled(LocationManager.GPS_PROVIDER);
        return gps;
    }

    // 打开gps设置
    fun openGPS(context: Context, activity: Activity) {
        if (isOpenGPS(context)) {
            // 已打开
            Toast.makeText(context,"GPS设置已打开",Toast.LENGTH_LONG).show()
        } else {
            val intent = Intent(Settings.ACTION_LOCATION_SOURCE_SETTINGS)
            activity.startActivity(intent)
        }
    }
}